
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| 標準化 |--------------------------------------
[Defaults]
; timeを記述しなかった場合、以下の値が参照されます。最小値は1です。
command.time = 15

; buffer.timeの値です。1〜30まで設定できます。
; 普通は1です。
command.buffer.time = 1

;-| リーブアタック |---------------------
[Command]
name = "愛しの英雄"
command = ~F, D, z
time = 30

;-| 超必殺技 |--------------------
[Command]
name = "デバッグ用モードチェンジ"
command = ~D, DF, F, D, DF, F, s
time = 30

[Command]
name = "鏖殺の吐息テスト"
command = ~D, DF, F, s
time = 30

[Command]
name = "鏖殺の吐息"
command = ~D, DF, F, DF, D, c
time = 30

[Command]
name = "鏖殺の吐息SP"
command = ~D, DF, F, DF, D, b+c
time = 30

[Command]
name = "ダンシズ＆ドラゴンズ！"
command = ~D, DF, F, D, DF, c
time = 30

[Command]
name = "ダンシズ＆ドラゴンズ！SP"
command = ~D, DF, F, D, DF, b+c
time = 30

[Command]
name = "竜獄殺"
command = ~a, a, F, b, c
time = 30

[Command]
name = "最終闇技・超裂砕雷滅拳 竜獄殺"
command = ~F, DF, D, DB, F, DF, D, DB, a+b+c
time = 30

;[Command]
;name = "最終闇技・超裂砕雷滅拳 竜獄殺"
;command = ~F, DF, D, DB, B, UB, B, UF, F, B, F, D, DF, UB, UF, DB, D, F, a+b+c+x+y+z
;time = 30

;-| 必殺技 |----------------------
[Command]
name = "弱白熱拳バニシング・ブレイド"
command = ~D, DB, B, a

[Command]
name = "中白熱拳バニシング・ブレイド"
command = ~D, DB, B, b

[Command]
name = "強白熱拳バニシング・ブレイド"
command = ~D, DB, B, c

[Command]
name = "白熱拳バニシング・ブレイドEX"
command = ~D, DB, B, b+c

[Command]
name = "弱怒りの鉄拳"
command = ~F, B, F, a

[Command]
name = "中怒りの鉄拳"
command = ~F, B, F, b

[Command]
name = "強怒りの鉄拳"
command = ~F, B, F, c

[Command]
name = "怒りの鉄拳EX"
command = ~F, B, F, b+c

[Command]
name = "弱ドラゴン・ブレス"
command = ~D, DF, F, a

[Command]
name = "中ドラゴン・ブレス"
command = ~D, DF, F, b

[Command]
name = "強ドラゴン・ブレス"
command = ~D, DF, F, c

[Command]
name = "ドラゴン・ブレスEX"
command = ~D, DF, F, b+c

[Command]
name = "匡山登山ブレス"
command = ~D,D,c;F, DF, D, DB, c

[Command]
name = "匡山登山ブレスEX"
command = ~D,D,b+c;F, DF, D, DB, b+c

[Command]
name = "弱リトル・ホワイト・ドラゴン"
command = ~F, D, DF, a

[Command]
name = "中リトル・ホワイト・ドラゴン"
command = ~F, D, DF, b

[Command]
name = "強リトル・ホワイト・ドラゴン"
command = ~F, D, DF, c

[Command]
name = "リトル・ホワイト・ドラゴンEX"
command = ~F, D, DF, b+c

[Command]
name = "阿修羅閃空1"
command = ~F, D, DF, a+b

[Command]
name = "阿修羅閃空2"
command = ~F, D, DF, x+y

[Command]
name = "阿修羅閃空3"
command = ~B, D, DB, a+b

[Command]
name = "阿修羅閃空4"
command = ~B, D, DB, x+y

;-| 特殊技 |-------------------
;チャンスメイク
[Command]
name = "cm1"
command = F
time = 1

[Command]
name = "cm2"
command = /F
time = 1

[Command]
name = "cm3"
command = D
time = 1

[Command]
name = "cm4"
command = /D
time = 1

;ハイジャンプ
[Command]
name = "h_jump"
command = D,$U
time = 7

;-| キー２回連続入力 |---------------
[Command]
name = "FF"       ;必須コマンド名
command = F,F
time = 10

[Command]
name = "BB"       ;必須コマンド名
command = B,B
time = 10

;-| 同時押し |-------------
[Command]
name = "recovery" ;必須コマンド名
command = a+b
time = 1

[Command]
name = "recovery" ;必須コマンド名
command = x+y
time = 1

[Command]
name = "ex"
command = b+c
time = 1

[Command]
name = "挑発"
command = c+z
time = 1

;-| 方向キー＋ボタン |-----------------

;[Command]
;name = "fwd_a"
;command = /F,a

;-| ボタン単発 |--------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;-| 方向キー |-------------------
[Command]
name = "holdfwd"   ;必須コマンド名
command = /$F
time = 1

[Command]
name = "holdback"  ;必須コマンド名
command = /$B
time = 1

[Command]
name = "holdup"    ;必須コマンド名
command = /$U
time = 1

[Command]
name = "holddown"  ;必須コマンド名
command = /$D
time = 1

[Command]
name = "holdz"
command = /$z
time = 1

[Statedef -1] ;←この行は絶対に消さないでね。必須項目です。

;===================
;超必殺技・リーブアタック
;===================
[State -1,デバッグ用モードチェンジ]
type = null;ChangeState
triggerall = command = "デバッグ用モードチェンジ"
triggerall = statetype != A
trigger1 = ctrl
value = 4000

[State -1,鏖殺の吐息テスト]
type = null;ChangeState
triggerall = command = "鏖殺の吐息テスト"
triggerall = statetype != A
trigger1 = ctrl
value = 2003

[State -1,鏖殺の吐息SP]
type = ChangeState
triggerall = command = "鏖殺の吐息SP"
triggerall = statetype != A
triggerall = power >= 3000
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
trigger9 = stateno = 1500 && time > 10
value = 2100

[State -1,鏖殺の吐息]
type = ChangeState
triggerall = command = "鏖殺の吐息"
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
trigger9 = stateno = 1500 && time > 10
value = 2000

[State -1,ダンシズ＆ドラゴンズ！SP]
type = ChangeState
triggerall = command = "ダンシズ＆ドラゴンズ！SP"
triggerall = statetype != A
triggerall = power >= 3000
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
trigger9 = stateno = 1500 && time > 15
value = 2300

[State -1,ダンシズ＆ドラゴンズ！]
type = ChangeState
triggerall = command = "ダンシズ＆ドラゴンズ！"
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
trigger9 = stateno = 1500 && time > 15
value = 2200

[State -1,愛しの英雄]
type = ChangeState
triggerall = command = "愛しの英雄"
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
value = 3000

;=====================
;必殺技
;=====================
[State -1,匡山登山ブレスEX]
type = ChangeState
triggerall = command = "匡山登山ブレスEX"
triggerall = statetype != A
triggerall = power >= 333
triggerall = helper(20000),var(2) = 1
trigger1 = ctrl
value = 1155

[State -1,匡山登山ブレス]
type = ChangeState
triggerall = command = "匡山登山ブレス"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact && var(0) = 1
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact && var(0) = 1
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
value = 1150

;-----------------------
[State -1,阿修羅閃空]
type = ChangeState
triggerall = command = "阿修羅閃空1" || command = "阿修羅閃空2" || command = "阿修羅閃空3" || command = "阿修羅閃空4"
triggerall = statetype != A
triggerall = var(0) = 1
trigger1  = ctrl
trigger2  = stateno = 200 && movecontact && var(0) = 1
trigger3  = stateno = 210 && movecontact && var(0) = 1
trigger4  = stateno = 211 && movecontact && var(0) = 1
trigger5  = stateno = 220 && movecontact && var(0) = 1
trigger6  = stateno = 240 && movecontact && var(0) = 1
trigger7  = stateno = 245 && movecontact && var(0) = 1
trigger8  = stateno = 400 && movecontact && var(0) = 1
trigger9  = stateno = 410 && movecontact && var(0) = 1
trigger10 = stateno = 420 && movecontact && var(0) = 1
value = 1500

;---------------------------------
[State -1,リトル・ホワイト・ドラゴンEX]
type = ChangeState
triggerall = command = "リトル・ホワイト・ドラゴンEX"
triggerall = statetype != A
triggerall = power >= 333
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1230

[State -1,弱リトル・ホワイト・ドラゴン]
type = ChangeState
triggerall = command = "弱リトル・ホワイト・ドラゴン"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1200

[State -1,中リトル・ホワイト・ドラゴン]
type = ChangeState
triggerall = command = "中リトル・ホワイト・ドラゴン"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1210

[State -1,強リトル・ホワイト・ドラゴン]
type = ChangeState
triggerall = command = "強リトル・ホワイト・ドラゴン"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1220

;---------------------------------
[State -1,白熱拳バニシング・ブレイドEX]
type = ChangeState
triggerall = command = "白熱拳バニシング・ブレイドEX"
triggerall = statetype = A
triggerall = power >= 333
triggerall = helper(20000),var(2) = 1
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact
trigger3 = stateno = 610 && movecontact
trigger4 = stateno = 620 && movecontact
value = 1030

[State -1,弱白熱拳バニシング・ブレイド]
type = ChangeState
triggerall = command = "弱白熱拳バニシング・ブレイド"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1000

[State -1,中白熱拳バニシング・ブレイド]
type = ChangeState
triggerall = command = "中白熱拳バニシング・ブレイド"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1010

[State -1,強白熱拳バニシング・ブレイド]
type = ChangeState
triggerall = command = "強白熱拳バニシング・ブレイド"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1020

;---------------------------
[State -1,怒りの鉄拳EX]
type = ChangeState
triggerall = command = "怒りの鉄拳EX"
triggerall = statetype != A
triggerall = power >= 333
triggerall = helper(20000),var(2) = 1
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1080

[State -1,弱怒りの鉄拳]
type = ChangeState
triggerall = command = "弱怒りの鉄拳"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1050

[State -1,中怒りの鉄拳]
type = ChangeState
triggerall = command = "中怒りの鉄拳"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1060

[State -1,強怒りの鉄拳]
type = ChangeState
triggerall = command = "強怒りの鉄拳"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1070

;------------------------
[State -1,ドラゴン・ブレスEX]
type = ChangeState
triggerall = command = "ドラゴン・ブレスEX"
triggerall = statetype != A
triggerall = power >= 333
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1130

[State -1,弱ドラゴン・ブレス]
type = ChangeState
triggerall = command = "弱ドラゴン・ブレス"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1100

[State -1,中ドラゴン・ブレス]
type = ChangeState
triggerall = command = "中ドラゴン・ブレス"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1110

[State -1,強ドラゴン・ブレス]
type = ChangeState
triggerall = command = "強ドラゴン・ブレス"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 1120

;-----------------------
[State -1,斬空波動拳EX]
type = ChangeState
triggerall = command = "ドラゴン・ブレスEX"
triggerall = statetype = A
triggerall = power >= 333
triggerall = var(0) = 1
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact
trigger3 = stateno = 610 && movecontact
trigger4 = stateno = 620 && movecontact
value = 1610

[State -1,斬空波動拳]
type = ChangeState
triggerall = command = "弱ドラゴン・ブレス" || command = "中ドラゴン・ブレス" || command = "強ドラゴン・ブレス"
triggerall = statetype = A
triggerall = var(0) = 1
triggerall = !Numhelper(8000)
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact
trigger3 = stateno = 610 && movecontact
trigger4 = stateno = 620 && movecontact
value = 1600

;==================
;通常技・特殊技・投げ・その他
;==================
[State -1,挑発]
type = ChangeState
triggerall = (command = "挑発") || (command = "s")
triggerall = statetype != A
trigger1 = ctrl
value = 195

;-------------------------
[State -1,竜闘気]
type = ChangeState
triggerall = (command = "holdz") && (command = "holddown")
triggerall = statetype != A
triggerall = helper(20000),var(2) = 1
trigger1 = ctrl
trigger1 = life < lifemax || power < powermax
value = 660

;-------------------------
[State -1,前緊急回避]
type = ChangeState
triggerall = (command = "z") && (command = "holdfwd")
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = helper(20000),var(2) = 1
trigger1 = ctrl
value = 670

;-------------------------
[State -1,緊急回避]
type = ChangeState
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
value = 680

;-----------------------
[State -1,ダウン回避]
type = ChangeState
triggerall = command = "z"
trigger1 = stateno = 5050 || stateno = 5071
trigger1 = vel y > 0
trigger1 = pos y >= -20
trigger1 = alive = 1
value = 681

;----------------------
[State -1,投げ]
type = ChangeState
triggerall = (command = "a") && (command = "b")
triggerall = StateType != A
trigger1 = Ctrl
value = 800

;----------------------
[State -1,EX前C攻撃]
type = ChangeState
triggerall = (command = "ex") && (command = "holdfwd")
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = power >= 333
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 245

[State -1,前B攻撃]
type = ChangeState
triggerall = (command = "b") && (command = "holdfwd")
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 230

[State -1,前C攻撃]
type = ChangeState
triggerall = (command = "c") && (command = "holdfwd")
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 220 && movecontact && var(0) = 1
trigger6 = stateno = 400 && movecontact && var(0) = 1
trigger7 = stateno = 410 && movecontact && var(0) = 1
trigger8 = stateno = 420 && movecontact && var(0) = 1
value = 240

[State -1,後C攻撃]
type = ChangeState
triggerall = (command = "c") && (command = "holdback")
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
value = 250

;-------------------------
[State -1,立ち弱攻撃]
type = ChangeState
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
value = 200

[State -1,遠距離立ち中攻撃]
type = ChangeState
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype != A
Triggerall = P2BodyDist X >= 15
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
value = 210

[State -1,近距離立ち中攻撃]
type = ChangeState
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype != A
Triggerall = P2BodyDist X <= 15
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
value = 211

[State -1,立ち強攻撃]
type = ChangeState
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 211 && movecontact
trigger5 = stateno = 400 && movecontact && var(0) = 1
trigger6 = stateno = 410 && movecontact && var(0) = 1
value = 220

;-----------------------
[State -1,しゃがみ弱攻撃]
type = ChangeState
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
value = 400

[State -1,しゃがみ中攻撃]
type = ChangeState
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact && var(0) = 1
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact && var(0) = 1
trigger5 = stateno = 400 && movecontact && var(0) = 1
value = 410

[State -1,しゃがみ強攻撃]
type = ChangeState
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact && var(0) = 1
trigger3 = stateno = 210 && movecontact && var(0) = 1
trigger4 = stateno = 211 && movecontact && var(0) = 1
trigger5 = stateno = 400 && movecontact && var(0) = 1
trigger6 = stateno = 410 && movecontact && var(0) = 1
value = 420

;-----------------------
[State -1,空中弱攻撃]
type = ChangeState
triggerall = command = "a"
triggerall = stateno != 105  ;バックステップ中は禁止
triggerall = statetype = A
trigger1 = ctrl
value = 600

[State -1,空中中攻撃]
type = ChangeState
triggerall = command = "b"
triggerall = stateno != 105
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact && var(0) = 1
value = 610

[State -1,空中強攻撃]
type = ChangeState
triggerall = command = "c"
triggerall = stateno != 105
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact && var(0) = 1
trigger3 = stateno = 610 && movecontact && var(0) = 1
value = 620

;================
;移動関連
;================
[State -1,フロントステップ]
type = ChangeState
triggerall = (StateNo != 100)
trigger1 = (command = "FF") && (StateType = S) && (Ctrl)
value = 100

[State -1,バックステップ]
type = ChangeState
triggerall = (StateNo != 100)
trigger1 = (command = "BB") && (StateType = S) && (Ctrl)
value = 105

[State -1,ハイジャンプ]
type = ChangeState
trigger1 = (command = "h_jump") && (StateType != A) && (Ctrl)
value = 10003

;4
;かゆい
;うま
